﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace mysite.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class person
    {
        public int IdPerson { get; set; }

        [Display(Name = "شماره تماس")]
        [Required(ErrorMessage = "شماره تلفن خود را وترد کنید .")]
        public int Phone { get; set; }

        [Display(Name = "نام کابری")]
        [Required(ErrorMessage = "نام کاربری را وارد کنید .")]
        public string FirsName { get; set; }

        [Display(Name = "نام ونام خانوادگی")]
        [Required(ErrorMessage = "نام و نام خانوادگی خود را وارد کنید .")]
        public string LastName { get; set; }


        [Display(Name = "ایمیل")]
        [Required(ErrorMessage = " ایمیل را وارد کنید.")]
        [RegularExpression(@"^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{1,3})$", ErrorMessage = "ایمیل را به درستی وارد کنید.")]
        public string Email { get; set; }

        [Display(Name = "سن")]
        public int Age { get; set; }

        [Required(ErrorMessage = " رمز عبور را وارد کنید .")]
        [StringLength(10, MinimumLength = 4, ErrorMessage = "تعداد کاراکتر باید بین 4 تا 10 باشد.")]
        [Display(Name = "رمزعبور")]
        public string Password { get; set; }
    }
}
